//
// Copyright (C) 2009  Axel Kesseler
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
//
// ********************************************************
//
// File:        messages.mc
//
// Author:      Axel Kesseler
//
// Date:        2009-09-05
//
// Description: This file defines message identifiers 
//              to be used with class CEventlog.
//
// Creation:    1) Use command "mc.exe -U messages.mc" 
//                 to compile this file.
//              2) Use command "rc.exe -r messages.rc" 
//                 to compile this file.
//              3) Add following output files (messages.h, 
//                 messages.res and msg00000.bin) to 
//                 your project.
//              4) Delete unneeded file 'messages.rc'.
//
// ********************************************************
//
// "C:\Program Files\Microsoft SDKs\Windows\v6.0A\Bin\x64\mc.exe" -U messages.mc
// "C:\Program Files\Microsoft SDKs\Windows\v6.0A\Bin\x64\rc.exe" -r messages.rc
//
//
//  Values are 32 bit values laid out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//
#define FACILITY_SYSTEM                  0x0
#define FACILITY_STUBS                   0x3
#define FACILITY_RUNTIME                 0x2
#define FACILITY_IO_ERROR_CODE           0x4


//
// Define the severity codes
//
#define STATUS_SEVERITY_WARNING          0x2
#define STATUS_SEVERITY_SUCCESS          0x0
#define STATUS_SEVERITY_INFORMATIONAL    0x1
#define STATUS_SEVERITY_ERROR            0x3


//
// MessageId: EVENTLOG_MESSAGE
//
// MessageText:
//
// %1
//
#define EVENTLOG_MESSAGE                 ((DWORD)0x0000002AL)

//
// MessageId: EVENTLOG_WARNING
//
// MessageText:
//
// %1
//
#define EVENTLOG_WARNING                 ((DWORD)0x8000002AL)

//
// MessageId: EVENTLOG_ERROR
//
// MessageText:
//
// %1
//
#define EVENTLOG_ERROR                   ((DWORD)0xC000002AL)

//
// MessageId: EVENTLOG_DUMP
//
// MessageText:
//
// %1
//
#define EVENTLOG_DUMP                    ((DWORD)0x4000002AL)

